com.google.gwt.typedarrays.server

## Class Int16ArrayImpl

- java.lang.Object
- - com.google.gwt.typedarrays.server.ArrayBufferViewImpl
  - - com.google.gwt.typedarrays.server.Int16ArrayImpl

All Implemented Interfaces:
  ArrayBufferView, Int16Array

    public final class Int16ArrayImpl
    extends ArrayBufferViewImpl
    implements Int16Array

Pure Java implementation of `Int16Array`.

### Field Summary

### Fields inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

`arrayBuf, byteLength, byteOffset, USE_LITTLE_ENDIAN`

### Fields inherited from interface com.google.gwt.typedarrays.shared.Int16Array

`BYTES_PER_ELEMENT`

### Constructor Summary

Constructors
Constructor and Description
`Int16ArrayImpl(ArrayBuffer buffer, int byteOffset, int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `get(int index)` Retrieve one element of this view.
`int` `length()` The length in elements of this view.
`void` `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` `set(Int16Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` `set(Int16Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` `set(int index, int value)` Set one element in this view.
`void` `set(short[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` `set(short[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`Int16Array` `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Int16Array` `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

### Methods inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

`buffer, byteLength, byteOffset, checkRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

`buffer, byteLength, byteOffset`

### Constructor Detail

#### Int16ArrayImpl

    public Int16ArrayImpl(ArrayBuffer buffer,
                          int byteOffset,
                          int length)

Parameters:
  `buffer` -
  `byteOffset` -
  `length` -

### Method Detail

#### get

    public short get(int index)

Description copied from interface: `Int16Array`
Retrieve one element of this view.

Specified by:
  `get` in interface `Int16Array`
Returns:
  the requested element

#### length

    public int length()

Description copied from interface: `Int16Array`
The length in elements of this view.

Specified by:
  `length` in interface `Int16Array`
Returns:
  non-negative length

#### set

    public void set(int index,
                    int value)

Description copied from interface: `Int16Array`
Set one element in this view.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(int[] array)

Description copied from interface: `Int16Array`
Set multiple elements in this view from an array, storing starting at 0.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(int[] array,
                    int offset)

Description copied from interface: `Int16Array`
Set multiple elements in this view from an array, storing starting at the requested offset.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(Int16Array array)

Description copied from interface: `Int16Array`
Set multiple elements in this view from another view, storing starting at 0.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(Int16Array array,
                    int offset)

Description copied from interface: `Int16Array`
Set multiple elements in this view from another view, storing starting at the requested offset.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(short[] array)

Description copied from interface: `Int16Array`
Set multiple elements in this view from an array, storing starting at 0.

Specified by:
  `set` in interface `Int16Array`

#### set

    public void set(short[] array,
                    int offset)

Description copied from interface: `Int16Array`
Set multiple elements in this view from an array, storing starting at the requested offset.

Specified by:
  `set` in interface `Int16Array`

#### subarray

    public Int16Array subarray(int begin)

Description copied from interface: `Int16Array`
Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

Specified by:
  `subarray` in interface `Int16Array`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Int16Array` instance

#### subarray

    public Int16Array subarray(int begin,
                               int end)

Description copied from interface: `Int16Array`
Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

Specified by:
  `subarray` in interface `Int16Array`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  `end` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Int16Array` instance